[yocto] [PATCH RESEND v2 1/1] scripts/runqemu: disable unfs boot mode for qemuppc

Liming Wang liming.wang at windriver.com
Thu Aug 25 07:45:29 PDT 2011


Because unfs boot mode is unstable for qemuppc, disable
it temporarily.

Signed-off-by: Liming Wang <liming.wang at windriver.com>
---
 scripts/runqemu |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

diff --git a/scripts/runqemu b/scripts/runqemu
index ed8c05b..f6cc6f4 100755
--- a/scripts/runqemu
+++ b/scripts/runqemu
@@ -351,6 +351,12 @@ if [ -z "$FSTYPE" ]; then
         usage
     fi
 fi
+
+if [ "$FSTYPE" = "nfs" -a "$MACHINE" = "qemuppc" ]; then
+    echo "Error: usermode NFS boot is not available for qemuppc."
+    exit 1
+fi
+
 # FSTYPE is now set for all cases
 
 # Handle cases where a ROOTFS type is given instead of a filename, e.g.
-- 
1.7.0.4




More information about the yocto mailing list